Skip to main content
POST
Sample a dataset and redact the sample

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
integer
required

Unique identifier for a dataset.

Body

application/json

Optional settings for the sample step

compute_pool_id
string<uuid>

The compute pool to run the sample job on. If not specified, defaults to the dataset's configured compute pool, then to the data plane's default compute pool.

Response

The created workflow, and the id of the run started for it.

id
string<uuid>
required

Unique identifier for a workflow.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

name
string
required

The name of the workflow, extracted from the specification.

Example:

"my-etl-workflow"

specification
string
required

The workflow specification in YAML format.

Example:

"document:\n dsl: '1.0.0'\n namespace: test\n name: test-workflow\n version: '1.0.0'\n do:\n - createView:\n call: CreateMaterializedViewIfNotExists\n with:\n nql: \"CREATE MATERIALIZED VIEW workflow_output_dataset AS SELECT track_id FROM company_data.workflow_input_dataset\"\n - refreshView:\n call: RefreshMaterializedView\n with:\n datasetName: workflow_output_dataset\n - insertData:\n call: ExecuteDml\n with:\n nql: \"INSERT INTO company_data.workflow_input_dataset (track_id) VALUES ('test')\n"

data_plane_id
string<uuid>
required

The data plane this workflow is associated with.

Example:

"d1e2f3a4-b5c6-7890-abcd-ef1234567890"

company_id
integer<int64>
required

The company that owns this workflow.

Example:

100

created_at
string<date-time>
required

ISO-8601 timestamp of when the workflow was created.

Example:

"2025-01-15T10:30:00Z"

created_by
integer<int64>
required

The ID of the user who created this workflow.

Example:

20

updated_at
string<date-time>
required

ISO-8601 timestamp of when the workflow was last updated.

Example:

"2025-01-15T10:30:00Z"

status
enum<string>
required

The current status of the workflow.

Available options:
active,
archived
Example:

"active"

tags
string[]
required

Tags that describe the workflow.

archived_at
string<date-time> | null

ISO-8601 timestamp of when the workflow was archived, or null if active.

Example:

null

run_id
string | null

The run ID if the workflow was triggered immediately upon creation.

Example:

"b7e3f1a2-4c5d-6e7f-8a9b-0c1d2e3f4a5b"